package cn.hanghui.outapi.platform.tenant.entity.enums.fkj;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum FkjFuncConfigEnum {
    PRINT_VISITOR_LIST("PRINT_VISITOR_LIST","是否打印访客单"),
    SIGN_OUT("SIGN_OUT","是否启用签离"),
    RISK_PERSONNEL("RISK_PERSONNEL","启用风险人员核查"),
    HOME_PAGE_HIDDEN("HOME_PAGE_HIDDEN","首页隐藏“设置”、“通讯录”等按钮"),
    GENERAL_QRCODE("GENERAL_QRCODE","启用通用二维码"),
    ETH_QRCODE("ETH_QRCODE","启用梯控二维码"),
    VISITOR_NOT_DESENSITIZED("VISITOR_NOT_DESENSITIZED","访客记录不脱敏"),
    REGISTRATION_PAGE_NOT_DESENSITIZED("REGISTRATION_PAGE_NOT_DESENSITIZED","登记页不脱敏"),
    FACE_FAIL_JUMP_HAND("FACE_FAIL_JUMP_HAND","刷脸失败跳转手输"),
    VISIT_REASON("VISIT_REASON","拜访事由选项"),
    REMINDER_AUTH("REMINDER_AUTH","是否启用注意事项提示语"),
    SECONDARY_PAGE_SWITCH("SECONDARY_PAGE_SWITCH","是否启用副屏轮播图"),
    PROCESSING_PAGE_SWITCH("PROCESSING_PAGE_SWITCH","是否启用副屏处理中页面"),

    ;

    private String code;
    private String desc;
}
